Account & setup
List API keys
Lists API key metadata only. Raw key secrets are not returned after creation/rotation. Results are scoped to the authenticated Box account.
GET
/
api-keys
List API keys
curl --request GET \
--url https://ascii.dev/api/box/v1/api-keys \
--header 'Authorization: Bearer <token>'import requests
url = "https://ascii.dev/api/box/v1/api-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ascii.dev/api/box/v1/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"type": "api_key.list",
"apiKeys": [
{
"id": "sak_123",
"name": "Production worker",
"keyPrefix": "box_live",
"keyLastFour": "9abc",
"createdAt": "2026-05-31T12:00:00Z",
"lastUsedAt": null
}
]
}{
"ok": false,
"type": "box.error",
"status": 401,
"code": "unauthorized",
"message": "Unauthorized",
"error": {
"code": "unauthorized",
"message": "Unauthorized",
"status": 401
},
"requestId": "req_01HX..."
}Authorizations
Box bearer token in the form box_.... Service API keys authenticate Box operations.
Previous
Get Box secrets setupReturns the environment variables and secret files configured for Boxes.
Next
⌘I
List API keys
